Subject: DoS attacks

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 21 Feb 2001 15:34:28 -0500

I believe we need some advice in the Implementor's Guide about
retransmission
to avoid DoS attacks.

I think if you choose not to service an MG trying to register, and you don't
want to suggest an MGC to try, you silently discard the ServiceChange.

If you get a message from an MG (or MGC) you don't have a control
association with, you silently discard it.

I think if you get a malformed message you reply ONCE and not repeat it,
even if there is no ACK.  You need to use some judgment on what
"malformed" means.  

If IPSEC (or interim AH) is enabled, and you get a message that 
doesn't pass, of course you would silently discard it.

Brian